Update Linode DNS records with your local IPv4 and IPv6 addresses.

Forked from https://github.com/nvllsvm/linode-dynamic-dns

# Changes from upstream

- Runs `linode-dynamic-dns` twice. One using `$HOST` and a second using `*.$HOST`
- Move from `Dockerfile` to `Containerfile`
- Use `podman` commands in documentation
- Added Prerequisites section

# Prerequisites

- Linode API Token with read/write access to Domains
- `A` and `AAAA` records for `$HOST.$DOMAIN` and `*.$HOST.$DOMAIN` must already exist
  - New records will not be created if they don't already exist, so you can easily disable the update functionality for one or more of these records by simply deleting them from Linode's Domains Manager (e.g. if you only want `A` records and no `AAAA` records)

# Environment Variables

**Required**
- ``DOMAIN`` - Domain name
- ``HOST`` - Host name (aka subdomain)
- ``TOKEN`` - Linode API token

**Optional**
- ``FREQUENCY`` - Number of minutes to wait between updates (default 15).

# Build image

````
$ podman build -t linode-dynamic-dns-plus-wildcard \
    https://git.thurstylark.com/containers/linode-dyndns-plus-wildcard.git
````

# Usage

```
$ podman run -dt \
    -e DOMAIN=yourdomain.com \
    -e HOST=www \
    -e TOKEN=apitoken \
    linode-dynamic-dns-plus-wildcard
```
